import { CodegenConfig, CodegenDocument, CodegenGenerator, CodegenGeneratorContext } from '@openapi-generator-plus/types';
import Handlebars from 'handlebars';
import { CodegenOptionsKotlin } from './types';
export { CodegenOptionsKotlin as CodegenOptionsTypeScript } from './types';
/**
 * Turns a Java package name into a path
 * @param packageName Java package name
 */
export declare function packageToPath(packageName: string): string;
export interface KotlinGeneratorContext extends CodegenGeneratorContext {
    loadAdditionalTemplates?: (hbs: typeof Handlebars) => Promise<void>;
    additionalWatchPaths?: () => string[];
    additionalExportTemplates?: (outputPath: string, doc: CodegenDocument, hbs: typeof Handlebars, rootContext: Record<string, unknown>) => Promise<void>;
    additionalCleanPathPatterns?: () => string[];
}
export declare function chainKotlinGeneratorContext(base: KotlinGeneratorContext, add: Partial<KotlinGeneratorContext>): KotlinGeneratorContext;
export declare function options(config: CodegenConfig, context: KotlinGeneratorContext): CodegenOptionsKotlin;
export default function createGenerator(config: CodegenConfig, context: KotlinGeneratorContext): CodegenGenerator;
